Skip to main content
GET
/
api
/
aitaquote
/
calendar
/
finance
获取财经日历
curl --request GET \
  --url https://fcontext.com/api/aitaquote/calendar/finance \
  --header 'x-api-key: <api-key>'
{
  "calendar": {
    "date": "<string>",
    "list": [
      {
        "date": "<string>",
        "count": 123,
        "infos": [
          {
            "symbol": "<string>",
            "market": "<string>",
            "content": "<string>",
            "counterName": "<string>",
            "eventType": "<string>",
            "datetime": "<string>",
            "star": 123
          }
        ]
      }
    ],
    "nextDate": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Financial Context key generated from account settings. Send it as x-api-key: <key>.

Query Parameters

category
string
default:report

事件类型:reportdividendsplitipomacrodata,也兼容数字 0-7

start
string<date>

起始日期 YYYY-MM-DD。未提供时默认为结束日期前 3 天。

end
string<date>

结束日期 YYYY-MM-DD。未提供时默认为当前日期。

market
string

可选市场代码:USHKCN/SH/SZSG

Response

财经日历

calendar
object